[Haskell-cafe] Data.ByteString vs Data.ByteString.Lazy vs Data.ByteString.Char8

Duncan Coutts duncan.coutts at worc.ox.ac.uk
Wed Dec 3 06:22:23 EST 2008

On Wed, 2008-12-03 at 01:52 -0600, Galchin, Vasili wrote:
> Warning: This package indirectly depends on multiple versions of the
> same
> package. This is highly likely to cause a compile failure.
> package binary-0.4.2 requires bytestring-
> package bio- requires bytestring-
> ah ha .. Ketil, this is what you are saying? If so, how do I fix?
> install a newer version of binary?

This is the most significant issue that cabal-install addresses. It
works out what needs to be rebuilt to get consistent dependencies.

In this example you could run:

$ cabal install --dry-run

in the directory containing your package and it will say what it would
install or re-install to be able to build your package. If you drop the
--dry-run then it will actually do it, including installing your


More information about the Haskell-Cafe mailing list